<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/rules.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/rules.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2006 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_RULES__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_RULES__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#include &quot;tools/rulebase.h&quot;</span>
<a name="l00027"></a>00027 
<a name="l00050"></a><a class="code" href="structiPcRules.html">00050</a> <span class="keyword">struct </span><a class="code" href="structiPcRules.html" title="This property class represents a set of active rules for an entity.">iPcRules</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00051"></a>00051 {
<a name="l00052"></a>00052   SCF_INTERFACE (<a class="code" href="structiPcRules.html" title="This property class represents a set of active rules for an entity.">iPcRules</a>, 0, 0, 1);
<a name="l00053"></a>00053 
<a name="l00057"></a>00057   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRules.html#a89923097b616b94488007534c3497011" title="Add a rule.">AddRule</a> (<a class="code" href="structiCelRule.html" title="A rule.">iCelRule</a>* rule) = 0;
<a name="l00058"></a>00058 
<a name="l00062"></a>00062   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRules.html#a89923097b616b94488007534c3497011" title="Add a rule.">AddRule</a> (<a class="code" href="structiCelRule.html" title="A rule.">iCelRule</a>* rule, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> time) = 0;
<a name="l00063"></a>00063 
<a name="l00067"></a>00067   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRules.html#a5e1c07ac2d4dffc12fb4bb4b75b042aa" title="Delete a rule.">DeleteRule</a> (<a class="code" href="structiCelRule.html" title="A rule.">iCelRule</a>* rule) = 0;
<a name="l00068"></a>00068 
<a name="l00072"></a>00072   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRules.html#a2f7f5f16c2fdc9aec874541524cb12bf" title="Delete all rules.">DeleteAllRules</a> () = 0;
<a name="l00073"></a>00073 
<a name="l00080"></a>00080   <span class="keyword">virtual</span> celDataType <a class="code" href="structiPcRules.html#a91217faf3dfd5936df82f32eb1c5eb0d" title="Get the type of the property.">GetPropertyType</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00081"></a>00081 
<a name="l00083"></a>00083   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcRules.html#a2d90d34a57eb949735c65231506dbc08" title="Get a specific property.">GetProperty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="code" href="structcelData.html" title="Typed data for CEL.">celData</a>&amp; ret) = 0;
<a name="l00084"></a>00084 
<a name="l00086"></a>00086   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcRules.html#a79059bc158ff5168925f8b377af1aec0" title="Get a specific property.">GetPropertyFloat</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00088"></a>00088   <span class="keyword">virtual</span> <span class="keywordtype">long</span> <a class="code" href="structiPcRules.html#a8ced2bfc1d61946e47018d99b6bd203a" title="Get a specific property.">GetPropertyLong</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00090"></a>00090   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcRules.html#ad721cb91fe855ddcba36b078cabad4ce" title="Get a specific property.">GetPropertyBool</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00092"></a>00092   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcRules.html#a90c63a8378b8dd3bd6274ad03f7ffd90" title="Get a specific property.">GetPropertyVector</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a>&amp; v) = 0;
<a name="l00094"></a>00094   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcRules.html#a90c63a8378b8dd3bd6274ad03f7ffd90" title="Get a specific property.">GetPropertyVector</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; v) = 0;
<a name="l00096"></a>00096   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcRules.html#ac489e0149af2f0e8e4cd03f919011861" title="Get a specific property.">GetPropertyColor</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a>&amp; v) = 0;
<a name="l00098"></a>00098   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcRules.html#ae3b6571de348bcebdb9a394dc735b774" title="Get a specific property.">GetPropertyString</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00099"></a>00099 };
<a name="l00100"></a>00100 
<a name="l00101"></a>00101 <span class="preprocessor">#endif // __CEL_PF_RULES__</span>
<a name="l00102"></a>00102 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
